summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGaetan Nadon <memsize@videotron.ca>2009-11-12 11:24:43 -0500
committerGaetan Nadon <memsize@videotron.ca>2009-11-12 11:24:43 -0500
commitbf6fcf948dec4c78248a1040921b57942120bf16 (patch)
tree852e5689d86100ab452d562ae0ff5103bb30d9bf
parent86ebdaad7468ac4a523b8e799616b0704d207532 (diff)
autogen.sh: upgrade this newly added module to the xorg default one
The original one will not work under some scenarios
-rwxr-xr-xautogen.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index b1376df..e81f989 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,3 +1,13 @@
#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
autoreconf -v --install || exit 1
-./configure --enable-maintainer-mode "$@"
+cd $ORIGDIR || exit $?
+
+$srcdir/configure --enable-maintainer-mode "$@"
+